/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 批量添加保单文件 POST /api/InsuranceOrder/AddInsuranceOrderBillFile */
export async function addInsuranceOrderBillFile(
  body: API.AddInsuranceOrderBillFile,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsuranceOrder/AddInsuranceOrderBillFile', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 添加保单材料 POST /api/InsuranceOrder/AddInsuranceOrderMaterial */
export async function addInsuranceOrderMaterial(
  body: API.AddInsuranceOrderMaterialInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsuranceOrder/AddInsuranceOrderMaterial', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询批次号状态 GET /api/InsuranceOrder/CheckInrancesSerialNumStatus */
export async function checkInrancesSerialNumStatus(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIcheckInrancesSerialNumStatusParams,
  options?: API.RequestConfig
) {
  return request<API.InsurancePolicyStatusEnum>(
    '/api/InsuranceOrder/CheckInrancesSerialNumStatus',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 保单详情-情况人员数据 GET /api/InsuranceOrder/ClearInsuranceStaffData */
export async function clearInsuranceStaffData(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIclearInsuranceStaffDataParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsuranceOrder/ClearInsuranceStaffData', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 删除保单材料 POST /api/InsuranceOrder/DeleteInsuranceOrderMaterial */
export async function deleteInsuranceOrderMaterial(body: string, options?: API.RequestConfig) {
  return request<number>('/api/InsuranceOrder/DeleteInsuranceOrderMaterial', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /api/InsuranceOrder/Demo */
export async function demo(options?: API.RequestConfig) {
  return request<any>('/api/InsuranceOrder/Demo', {
    method: 'POST',
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /api/InsuranceOrder/Demo2 */
export async function demo2(options?: API.RequestConfig) {
  return request<any>('/api/InsuranceOrder/Demo2', {
    method: 'POST',
    ...(options || {}),
  });
}

/** 批量减员保单数据 POST /api/InsuranceOrder/DownsizingInsuranceOrderData */
export async function downsizingInsuranceOrderData(
  body: API.DownsizingInsuranceOrderData,
  options?: API.RequestConfig
) {
  return request<any>('/api/InsuranceOrder/DownsizingInsuranceOrderData', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 批量减员保单数据校验 POST /api/InsuranceOrder/DownsizingInsuranceOrderDataCheck */
export async function downsizingInsuranceOrderDataCheck(
  body: API.DownsizingInsuranceOrderData,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsuranceOrder/DownsizingInsuranceOrderDataCheck', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 导出保单列表 POST /api/InsuranceOrder/ExportInsuranceOrderList */
export async function exportInsuranceOrderList(
  body: API.QueryInsuranceOrderPageInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/InsuranceOrder/ExportInsuranceOrderList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 根据身份证号和报案日期查询在保信息 POST /api/InsuranceOrder/GetEffectingStaffList */
export async function getEffectingStaffList(
  body: API.GetEffectingStaffListInput,
  options?: API.RequestConfig
) {
  return request<API.InsuranceOrderListOutput[]>('/api/InsuranceOrder/GetEffectingStaffList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取保单详情 GET /api/InsuranceOrder/GetInsuranceOrderDetail */
export async function getInsuranceOrderDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsuranceOrderDetailParams,
  options?: API.RequestConfig
) {
  return request<API.InsuranceOrderListOutput>('/api/InsuranceOrder/GetInsuranceOrderDetail', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 根据标识查询相关保单列表 POST /api/InsuranceOrder/GetInsuranceOrderListByOrderRelevance */
export async function getInsuranceOrderListByOrderRelevance(
  body: API.QueryInsuranceOrderListByOrderRelevanceInput,
  options?: API.RequestConfig
) {
  return request<API.InsuranceOrderListOutput[]>(
    '/api/InsuranceOrder/GetInsuranceOrderListByOrderRelevance',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取保单材料 GET /api/InsuranceOrder/GetInsuranceOrderMaterialList */
export async function getInsuranceOrderMaterialList(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsuranceOrderMaterialListParams,
  options?: API.RequestConfig
) {
  return request<API.InsuranceOrderMaterialListOutput[]>(
    '/api/InsuranceOrder/GetInsuranceOrderMaterialList',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取保单分页列表 POST /api/InsuranceOrder/GetInsuranceOrderPage */
export async function getInsuranceOrderPage(
  body: API.QueryInsuranceOrderPageInput,
  options?: API.RequestConfig
) {
  return request<API.InsuranceOrderListOutputPageOutput>(
    '/api/InsuranceOrder/GetInsuranceOrderPage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取投保批次号 GET /api/InsuranceOrder/GetInsuranceOrderSerialNum */
export async function getInsuranceOrderSerialNum(options?: API.RequestConfig) {
  return request<string>('/api/InsuranceOrder/GetInsuranceOrderSerialNum', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取投保订单列表 POST /api/InsuranceOrder/GetInsurancePage */
export async function getInsurancePage(
  body: API.GetInsurancePageInput,
  options?: API.RequestConfig
) {
  return request<API.GetInsurancePageOutputPageOutput>('/api/InsuranceOrder/GetInsurancePage', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 运营端 导出投保订单 POST /api/InsuranceOrder/GetInsurancePageBackExport */
export async function getInsurancePageBackExport(
  body: API.GetInsurancePageInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/InsuranceOrder/GetInsurancePageBackExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 导出投保订单 POST /api/InsuranceOrder/GetInsurancePageExport */
export async function getInsurancePageExport(
  body: API.GetInsurancePageInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/InsuranceOrder/GetInsurancePageExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取投保详情基本信息 GET /api/InsuranceOrder/GetInsurancePolicyHeadDto */
export async function getInsurancePolicyHeadDto(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsurancePolicyHeadDtoParams,
  options?: API.RequestConfig
) {
  return request<API.GetInsurancePageOutput>('/api/InsuranceOrder/GetInsurancePolicyHeadDto', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取盖章文件 GET /api/InsuranceOrder/GetInsurancePolicyStampFiles */
export async function getInsurancePolicyStampFiles(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsurancePolicyStampFilesParams,
  options?: API.RequestConfig
) {
  return request<string[]>('/api/InsuranceOrder/GetInsurancePolicyStampFiles', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 查询保单详情下人员列表 POST /api/InsuranceOrder/GetInsuranceStaffList */
export async function getInsuranceStaffList(
  body: API.GetInsuranceStaffListInput,
  options?: API.RequestConfig
) {
  return request<API.GetInsuranceStaffPageTemplatePageOutput>(
    '/api/InsuranceOrder/GetInsuranceStaffList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 保单详情-导入人员清单 GET /api/InsuranceOrder/GetInsuranceStaffListExport */
export async function getInsuranceStaffListExport(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsuranceStaffListExportParams,
  options?: API.RequestConfig
) {
  return request<any>('/api/InsuranceOrder/GetInsuranceStaffListExport', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /api/InsuranceOrder/GetInsuranceStaffPageExport */
export async function getInsuranceStaffPageExport(
  body: API.GetInsurancePageInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/InsuranceOrder/GetInsuranceStaffPageExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 投保详情-导入人员 POST /api/InsuranceOrder/ImportInsDetailStaffToList */
export async function importInsDetailStaffToList(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIimportInsDetailStaffToListParams,
  options?: API.RequestConfig
) {
  return request<API.ImportInsStaffAnalysisList[]>(
    '/api/InsuranceOrder/ImportInsDetailStaffToList',
    {
      method: 'POST',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 新增保单导入 POST /api/InsuranceOrder/ImportInsStaffToList */
export async function importInsStaffToList(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIimportInsStaffToListParams,
  options?: API.RequestConfig
) {
  return request<API.ImportInsStaffAnalysisList[]>('/api/InsuranceOrder/ImportInsStaffToList', {
    method: 'POST',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 导入保单数据 POST /api/InsuranceOrder/ImportInsuranceOrderData */
export async function importInsuranceOrderData(body: string, options?: API.RequestConfig) {
  return request<any>('/api/InsuranceOrder/ImportInsuranceOrderData', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 保单审核 POST /api/InsuranceOrder/InsurancePolicyAudit */
export async function insurancePolicyAudit(
  body: API.InsurancePolicyAuditInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsuranceOrder/InsurancePolicyAudit', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 修改保单人员信息 POST /api/InsuranceOrder/UpdateInsuranceStaffInfo */
export async function updateInsuranceStaffInfo(
  body: API.UpdateInsuranceStaffInfoInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsuranceOrder/UpdateInsuranceStaffInfo', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 上传保单 POST /api/InsuranceOrder/UplaodInsuranceBillFile */
export async function uplaodInsuranceBillFile(
  body: API.UplaodInsuranceBillFileInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsuranceOrder/UplaodInsuranceBillFile', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 上传盖章文件 POST /api/InsuranceOrder/UploadInsuranceStampFiles */
export async function uploadInsuranceStampFiles(
  body: API.UploadInsuranceStampFilesInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsuranceOrder/UploadInsuranceStampFiles', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
